# This is an example Starter pipeline configuration
# Use a skeleton to build, test and deploy using manual and parallel steps
# -----
# You can specify a custom docker image from Docker Hub as your build environment.
image: fgch/alpine-gitftp

pipelines:
  custom: # Pipelines that are triggered manually via the Bitbucket GUI
    init: # -- First time init
    - step:
        script:
          - git ftp init -u "$FTP_USERNAME" -p "$FTP_PASSWORD" ftp://$FTP_HOST
  branches: # Automated triggers on commits to branches
    master: # -- When committing to master branch
    - step:
        script:
          - git ftp push -u "$FTP_USERNAME" -p "$FTP_PASSWORD" ftp://$FTP_HOST